Fetch a Subaccount
curl --request GET \
--url https://api.flutterwave.com/v3/subaccounts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flutterwave.com/v3/subaccounts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flutterwave.com/v3/subaccounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Subaccount fetched",
"data": {
"id": 2063,
"account_number": "0690000039",
"account_bank": "044",
"business_name": "Sharp Guy",
"full_name": "Dotun Ajib",
"created_at": "2020-01-02T21:54:35.000Z",
"meta": [
{
"swift_code": ""
}
],
"account_id": 86548,
"split_ratio": 1,
"split_type": "percentage",
"split_value": 0.6,
"subaccount_id": "RS_2A9D2F79274AD40924983F5BA6975336",
"bank_name": "ACCESS BANK NIGERIA",
"country": "NG"
}
}{
"status": "error",
"message": "Subaccount not found",
"data": null
}Collection Subaccounts
Fetch a Subaccount
Fetch the details of a single collection subaccount
GET
/
subaccounts
/
{id}
Fetch a Subaccount
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Example:
{
"id": 2063,
"account_number": "0690000039",
"account_bank": "044",
"business_name": "Sharp Guy",
"full_name": "Dotun Ajib",
"created_at": "2020-01-02T21:54:35.000Z",
"meta": [{ "swift_code": "" }],
"account_id": 86548,
"split_ratio": 1,
"split_type": "percentage",
"split_value": 0.6,
"subaccount_id": "RS_2A9D2F79274AD40924983F5BA6975336",
"bank_name": "ACCESS BANK NIGERIA",
"country": "NG"
}
Was this page helpful?
⌘I